Subject: Re: GCC targets
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 9 Mar 2001 11:33:22 -0500

On Fri, Mar 09, 2001 at 09:08:24AM -0600, Darrik Spaude wrote:
>Hello,
>
>I downloaded the Cygwin tools with the expectation that I would be 
>able to use GCC to compile for various target platforms.  For 
>example, I tried:
>
>gcc -m68000 voce.c
>
>and I get an error that says '68000' is an invalid option.  The same 
>goes for -mcpu=860  (860 is an invalid option).
>
>Does the GCC app supplied with the Cygwin tools support other targets 
>or am I dreaming?

You're dreaming.  Sorry.  gcc doesn't work that way.

>Is there some way to get GCC with support for multiple targets working
>on Windows or DOS?

It's possible to do this on any platform.  You need a different version
of gcc for every target you're interested in.  You have to configure and
build it for each one.

...and this isn't the mailing list for asking about how to go about doing
this.  Check out the crossgcc mailing list at sources.redhat.com.

cgf

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple